package main

import (
	"yuleduiPay/controller"
	"yuleduiPay/middle"

	"github.com/gogf/gf/v2/frame/g"

	_ "github.com/gogf/gf/contrib/drivers/pgsql/v2"
)

func main() {
	s := g.Server()
	s.Use(middle.MiddlewareCORS, middle.MiddlewareHandlerResponse)
	payRouter := controller.Pay{}
	s.Group("/wxApi", payRouter.RouterGroup)

	g.Log().Line().Print(nil, "初始化成功")
	s.Run()

}
